Imported Upstream version 2.6.4
[platform/upstream/harfbuzz.git] / test / shaping / data / text-rendering-tests / Makefile.in
1 # Makefile.in generated by automake 1.16.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2018 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Process this file with automake to produce Makefile.in
18 VPATH = @srcdir@
19 am__is_gnu_make = { \
20   if test -z '$(MAKELEVEL)'; then \
21     false; \
22   elif test -n '$(MAKE_HOST)'; then \
23     true; \
24   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
25     true; \
26   else \
27     false; \
28   fi; \
29 }
30 am__make_running_with_option = \
31   case $${target_option-} in \
32       ?) ;; \
33       *) echo "am__make_running_with_option: internal error: invalid" \
34               "target option '$${target_option-}' specified" >&2; \
35          exit 1;; \
36   esac; \
37   has_opt=no; \
38   sane_makeflags=$$MAKEFLAGS; \
39   if $(am__is_gnu_make); then \
40     sane_makeflags=$$MFLAGS; \
41   else \
42     case $$MAKEFLAGS in \
43       *\\[\ \   ]*) \
44         bs=\\; \
45         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
46           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
47     esac; \
48   fi; \
49   skip_next=no; \
50   strip_trailopt () \
51   { \
52     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
53   }; \
54   for flg in $$sane_makeflags; do \
55     test $$skip_next = yes && { skip_next=no; continue; }; \
56     case $$flg in \
57       *=*|--*) continue;; \
58         -*I) strip_trailopt 'I'; skip_next=yes;; \
59       -*I?*) strip_trailopt 'I';; \
60         -*O) strip_trailopt 'O'; skip_next=yes;; \
61       -*O?*) strip_trailopt 'O';; \
62         -*l) strip_trailopt 'l'; skip_next=yes;; \
63       -*l?*) strip_trailopt 'l';; \
64       -[dEDm]) skip_next=yes;; \
65       -[JT]) skip_next=yes;; \
66     esac; \
67     case $$flg in \
68       *$$target_option*) has_opt=yes; break;; \
69     esac; \
70   done; \
71   test $$has_opt = yes
72 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
73 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
74 pkgdatadir = $(datadir)/@PACKAGE@
75 pkgincludedir = $(includedir)/@PACKAGE@
76 pkglibdir = $(libdir)/@PACKAGE@
77 pkglibexecdir = $(libexecdir)/@PACKAGE@
78 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
79 install_sh_DATA = $(install_sh) -c -m 644
80 install_sh_PROGRAM = $(install_sh) -c
81 install_sh_SCRIPT = $(install_sh) -c
82 INSTALL_HEADER = $(INSTALL_DATA)
83 transform = $(program_transform_name)
84 NORMAL_INSTALL = :
85 PRE_INSTALL = :
86 POST_INSTALL = :
87 NORMAL_UNINSTALL = :
88 PRE_UNINSTALL = :
89 POST_UNINSTALL = :
90 build_triplet = @build@
91 host_triplet = @host@
92 TESTS = tests/AVAR-1.tests tests/CFF-1.tests tests/CFF2-1.tests \
93         tests/CFF-2.tests tests/CMAP-1.tests tests/CMAP-2.tests \
94         tests/CVAR-1.tests tests/CVAR-2.tests tests/GLYF-1.tests \
95         tests/GPOS-1.tests tests/GPOS-2.tests tests/GPOS-3.tests \
96         tests/GPOS-4.tests tests/GPOS-5.tests tests/GSUB-1.tests \
97         tests/GSUB-2.tests tests/GSUB-3.tests tests/GVAR-1.tests \
98         tests/GVAR-2.tests tests/GVAR-3.tests tests/GVAR-4.tests \
99         tests/GVAR-5.tests tests/GVAR-6.tests tests/GVAR-7.tests \
100         tests/GVAR-8.tests tests/GVAR-9.tests tests/HVAR-1.tests \
101         tests/HVAR-2.tests tests/KERN-1.tests tests/KERN-2.tests \
102         tests/MORX-10.tests tests/MORX-11.tests tests/MORX-12.tests \
103         tests/MORX-13.tests tests/MORX-14.tests tests/MORX-16.tests \
104         tests/MORX-17.tests tests/MORX-18.tests tests/MORX-19.tests \
105         tests/MORX-1.tests tests/MORX-20.tests tests/MORX-21.tests \
106         tests/MORX-22.tests tests/MORX-23.tests tests/MORX-24.tests \
107         tests/MORX-25.tests tests/MORX-26.tests tests/MORX-27.tests \
108         tests/MORX-28.tests tests/MORX-29.tests tests/MORX-2.tests \
109         tests/MORX-30.tests tests/MORX-31.tests tests/MORX-32.tests \
110         tests/MORX-33.tests tests/MORX-34.tests tests/MORX-35.tests \
111         tests/MORX-36.tests tests/MORX-37.tests tests/MORX-38.tests \
112         tests/MORX-39.tests tests/MORX-3.tests tests/MORX-40.tests \
113         tests/MORX-41.tests tests/MORX-4.tests tests/MORX-5.tests \
114         tests/MORX-6.tests tests/MORX-7.tests tests/MORX-8.tests \
115         tests/MORX-9.tests tests/SHBALI-3.tests tests/SHKNDA-1.tests \
116         $(am__EXEEXT_1)
117 subdir = test/shaping/data/text-rendering-tests
118 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
119 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_check_link_flag.m4 \
120         $(top_srcdir)/m4/ax_code_coverage.m4 \
121         $(top_srcdir)/m4/ax_cxx_compile_stdcxx.m4 \
122         $(top_srcdir)/m4/ax_pthread.m4 $(top_srcdir)/m4/gtk-doc.m4 \
123         $(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
124         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
125         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
126 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
127         $(ACLOCAL_M4)
128 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
129 mkinstalldirs = $(install_sh) -d
130 CONFIG_HEADER = $(top_builddir)/config.h
131 CONFIG_CLEAN_FILES =
132 CONFIG_CLEAN_VPATH_FILES =
133 AM_V_P = $(am__v_P_@AM_V@)
134 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
135 am__v_P_0 = false
136 am__v_P_1 = :
137 AM_V_GEN = $(am__v_GEN_@AM_V@)
138 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
139 am__v_GEN_0 = @echo "  GEN     " $@;
140 am__v_GEN_1 = 
141 AM_V_at = $(am__v_at_@AM_V@)
142 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
143 am__v_at_0 = @
144 am__v_at_1 = 
145 SOURCES =
146 DIST_SOURCES =
147 am__can_run_installinfo = \
148   case $$AM_UPDATE_INFO_DIR in \
149     n|no|NO) false;; \
150     *) (install-info --version) >/dev/null 2>&1;; \
151   esac
152 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
153 am__tty_colors_dummy = \
154   mgn= red= grn= lgn= blu= brg= std=; \
155   am__color_tests=no
156 am__tty_colors = { \
157   $(am__tty_colors_dummy); \
158   if test "X$(AM_COLOR_TESTS)" = Xno; then \
159     am__color_tests=no; \
160   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
161     am__color_tests=yes; \
162   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
163     am__color_tests=yes; \
164   fi; \
165   if test $$am__color_tests = yes; then \
166     red='\e[0;31m'; \
167     grn='\e[0;32m'; \
168     lgn='\e[1;32m'; \
169     blu='\e[1;34m'; \
170     mgn='\e[0;35m'; \
171     brg='\e[1m'; \
172     std='\e[m'; \
173   fi; \
174 }
175 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
176 am__vpath_adj = case $$p in \
177     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
178     *) f=$$p;; \
179   esac;
180 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
181 am__install_max = 40
182 am__nobase_strip_setup = \
183   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
184 am__nobase_strip = \
185   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
186 am__nobase_list = $(am__nobase_strip_setup); \
187   for p in $$list; do echo "$$p $$p"; done | \
188   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
189   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
190     if (++n[$$2] == $(am__install_max)) \
191       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
192     END { for (dir in files) print dir, files[dir] }'
193 am__base_list = \
194   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
195   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
196 am__uninstall_files_from_dir = { \
197   test -z "$$files" \
198     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
199     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
200          $(am__cd) "$$dir" && rm -f $$files; }; \
201   }
202 am__recheck_rx = ^[     ]*:recheck:[    ]*
203 am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
204 am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
205 # A command that, given a newline-separated list of test names on the
206 # standard input, print the name of the tests that are to be re-run
207 # upon "make recheck".
208 am__list_recheck_tests = $(AWK) '{ \
209   recheck = 1; \
210   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
211     { \
212       if (rc < 0) \
213         { \
214           if ((getline line2 < ($$0 ".log")) < 0) \
215             recheck = 0; \
216           break; \
217         } \
218       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
219         { \
220           recheck = 0; \
221           break; \
222         } \
223       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
224         { \
225           break; \
226         } \
227     }; \
228   if (recheck) \
229     print $$0; \
230   close ($$0 ".trs"); \
231   close ($$0 ".log"); \
232 }'
233 # A command that, given a newline-separated list of test names on the
234 # standard input, create the global log from their .trs and .log files.
235 am__create_global_log = $(AWK) ' \
236 function fatal(msg) \
237 { \
238   print "fatal: making $@: " msg | "cat >&2"; \
239   exit 1; \
240 } \
241 function rst_section(header) \
242 { \
243   print header; \
244   len = length(header); \
245   for (i = 1; i <= len; i = i + 1) \
246     printf "="; \
247   printf "\n\n"; \
248 } \
249 { \
250   copy_in_global_log = 1; \
251   global_test_result = "RUN"; \
252   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
253     { \
254       if (rc < 0) \
255          fatal("failed to read from " $$0 ".trs"); \
256       if (line ~ /$(am__global_test_result_rx)/) \
257         { \
258           sub("$(am__global_test_result_rx)", "", line); \
259           sub("[        ]*$$", "", line); \
260           global_test_result = line; \
261         } \
262       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
263         copy_in_global_log = 0; \
264     }; \
265   if (copy_in_global_log) \
266     { \
267       rst_section(global_test_result ": " $$0); \
268       while ((rc = (getline line < ($$0 ".log"))) != 0) \
269       { \
270         if (rc < 0) \
271           fatal("failed to read from " $$0 ".log"); \
272         print line; \
273       }; \
274       printf "\n"; \
275     }; \
276   close ($$0 ".trs"); \
277   close ($$0 ".log"); \
278 }'
279 # Restructured Text title.
280 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
281 # Solaris 10 'make', and several other traditional 'make' implementations,
282 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
283 # by disabling -e (using the XSI extension "set +e") if it's set.
284 am__sh_e_setup = case $$- in *e*) set +e;; esac
285 # Default flags passed to test drivers.
286 am__common_driver_flags = \
287   --color-tests "$$am__color_tests" \
288   --enable-hard-errors "$$am__enable_hard_errors" \
289   --expect-failure "$$am__expect_failure"
290 # To be inserted before the command running the test.  Creates the
291 # directory for the log if needed.  Stores in $dir the directory
292 # containing $f, in $tst the test, in $log the log.  Executes the
293 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
294 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
295 # will run the test scripts (or their associated LOG_COMPILER, if
296 # thy have one).
297 am__check_pre = \
298 $(am__sh_e_setup);                                      \
299 $(am__vpath_adj_setup) $(am__vpath_adj)                 \
300 $(am__tty_colors);                                      \
301 srcdir=$(srcdir); export srcdir;                        \
302 case "$@" in                                            \
303   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
304     *) am__odir=.;;                                     \
305 esac;                                                   \
306 test "x$$am__odir" = x"." || test -d "$$am__odir"       \
307   || $(MKDIR_P) "$$am__odir" || exit $$?;               \
308 if test -f "./$$f"; then dir=./;                        \
309 elif test -f "$$f"; then dir=;                          \
310 else dir="$(srcdir)/"; fi;                              \
311 tst=$$dir$$f; log='$@';                                 \
312 if test -n '$(DISABLE_HARD_ERRORS)'; then               \
313   am__enable_hard_errors=no;                            \
314 else                                                    \
315   am__enable_hard_errors=yes;                           \
316 fi;                                                     \
317 case " $(XFAIL_TESTS) " in                              \
318   *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
319     am__expect_failure=yes;;                            \
320   *)                                                    \
321     am__expect_failure=no;;                             \
322 esac;                                                   \
323 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
324 # A shell command to get the names of the tests scripts with any registered
325 # extension removed (i.e., equivalently, the names of the test logs, with
326 # the '.log' extension removed).  The result is saved in the shell variable
327 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
328 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
329 # since that might cause problem with VPATH rewrites for suffix-less tests.
330 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
331 am__set_TESTS_bases = \
332   bases='$(TEST_LOGS)'; \
333   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
334   bases=`echo $$bases`
335 RECHECK_LOGS = $(TEST_LOGS)
336 AM_RECURSIVE_TARGETS = check recheck
337 am__EXEEXT_1 =
338 TEST_SUITE_LOG = test-suite.log
339 am__test_logs1 = $(TESTS:=.log)
340 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
341 TEST_LOGS = $(am__test_logs2:.tests.log=.log)
342 TESTS_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
343 TESTS_LOG_COMPILE = $(TESTS_LOG_COMPILER) $(AM_TESTS_LOG_FLAGS) \
344         $(TESTS_LOG_FLAGS)
345 am__set_b = \
346   case '$@' in \
347     */*) \
348       case '$*' in \
349         */*) b='$*';; \
350           *) b=`echo '$@' | sed 's/\.log$$//'`; \
351        esac;; \
352     *) \
353       b='$*';; \
354   esac
355 am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.sources \
356         $(top_srcdir)/test-driver COPYING README
357 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
358 ACLOCAL = @ACLOCAL@
359 AMTAR = @AMTAR@
360 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
361 AR = @AR@
362 AUTOCONF = @AUTOCONF@
363 AUTOHEADER = @AUTOHEADER@
364 AUTOMAKE = @AUTOMAKE@
365 AWK = @AWK@
366 CAIRO_CFLAGS = @CAIRO_CFLAGS@
367 CAIRO_FT_CFLAGS = @CAIRO_FT_CFLAGS@
368 CAIRO_FT_LIBS = @CAIRO_FT_LIBS@
369 CAIRO_LIBS = @CAIRO_LIBS@
370 CC = @CC@
371 CCDEPMODE = @CCDEPMODE@
372 CFLAGS = @CFLAGS@
373 CODE_COVERAGE_CFLAGS = @CODE_COVERAGE_CFLAGS@
374 CODE_COVERAGE_CPPFLAGS = @CODE_COVERAGE_CPPFLAGS@
375 CODE_COVERAGE_CXXFLAGS = @CODE_COVERAGE_CXXFLAGS@
376 CODE_COVERAGE_ENABLED = @CODE_COVERAGE_ENABLED@
377 CODE_COVERAGE_LDFLAGS = @CODE_COVERAGE_LDFLAGS@
378 CODE_COVERAGE_LIBS = @CODE_COVERAGE_LIBS@
379 CORETEXT_CFLAGS = @CORETEXT_CFLAGS@
380 CORETEXT_LIBS = @CORETEXT_LIBS@
381 CPP = @CPP@
382 CPPFLAGS = @CPPFLAGS@
383 CXX = @CXX@
384 CXXCPP = @CXXCPP@
385 CXXDEPMODE = @CXXDEPMODE@
386 CXXFLAGS = @CXXFLAGS@
387 CYGPATH_W = @CYGPATH_W@
388 DEFS = @DEFS@
389 DEPDIR = @DEPDIR@
390 DIRECTWRITE_CXXFLAGS = @DIRECTWRITE_CXXFLAGS@
391 DIRECTWRITE_LIBS = @DIRECTWRITE_LIBS@
392 DLLTOOL = @DLLTOOL@
393 DSYMUTIL = @DSYMUTIL@
394 DUMPBIN = @DUMPBIN@
395 ECHO_C = @ECHO_C@
396 ECHO_N = @ECHO_N@
397 ECHO_T = @ECHO_T@
398 EGREP = @EGREP@
399 EXEEXT = @EXEEXT@
400 FGREP = @FGREP@
401 FONTCONFIG_CFLAGS = @FONTCONFIG_CFLAGS@
402 FONTCONFIG_LIBS = @FONTCONFIG_LIBS@
403 FREETYPE_CFLAGS = @FREETYPE_CFLAGS@
404 FREETYPE_DEPS = @FREETYPE_DEPS@
405 FREETYPE_LIBS = @FREETYPE_LIBS@
406 GCOV = @GCOV@
407 GDI_CFLAGS = @GDI_CFLAGS@
408 GDI_LIBS = @GDI_LIBS@
409 GENHTML = @GENHTML@
410 GIT = @GIT@
411 GLIB_CFLAGS = @GLIB_CFLAGS@
412 GLIB_DEPS = @GLIB_DEPS@
413 GLIB_LIBS = @GLIB_LIBS@
414 GLIB_MKENUMS = @GLIB_MKENUMS@
415 GOBJECT_CFLAGS = @GOBJECT_CFLAGS@
416 GOBJECT_LIBS = @GOBJECT_LIBS@
417 GRAPHITE2_CFLAGS = @GRAPHITE2_CFLAGS@
418 GRAPHITE2_DEPS = @GRAPHITE2_DEPS@
419 GRAPHITE2_LIBS = @GRAPHITE2_LIBS@
420 GREP = @GREP@
421 GTKDOC_CHECK = @GTKDOC_CHECK@
422 GTKDOC_CHECK_PATH = @GTKDOC_CHECK_PATH@
423 GTKDOC_DEPS_CFLAGS = @GTKDOC_DEPS_CFLAGS@
424 GTKDOC_DEPS_LIBS = @GTKDOC_DEPS_LIBS@
425 GTKDOC_MKPDF = @GTKDOC_MKPDF@
426 GTKDOC_REBASE = @GTKDOC_REBASE@
427 HAVE_CXX11 = @HAVE_CXX11@
428 HB_LIBTOOL_VERSION_INFO = @HB_LIBTOOL_VERSION_INFO@
429 HB_VERSION = @HB_VERSION@
430 HB_VERSION_MAJOR = @HB_VERSION_MAJOR@
431 HB_VERSION_MICRO = @HB_VERSION_MICRO@
432 HB_VERSION_MINOR = @HB_VERSION_MINOR@
433 HTML_DIR = @HTML_DIR@
434 ICU_CFLAGS = @ICU_CFLAGS@
435 ICU_CONFIG = @ICU_CONFIG@
436 ICU_LIBS = @ICU_LIBS@
437 INSTALL = @INSTALL@
438 INSTALL_DATA = @INSTALL_DATA@
439 INSTALL_PROGRAM = @INSTALL_PROGRAM@
440 INSTALL_SCRIPT = @INSTALL_SCRIPT@
441 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
442 INTROSPECTION_CFLAGS = @INTROSPECTION_CFLAGS@
443 INTROSPECTION_COMPILER = @INTROSPECTION_COMPILER@
444 INTROSPECTION_GENERATE = @INTROSPECTION_GENERATE@
445 INTROSPECTION_GIRDIR = @INTROSPECTION_GIRDIR@
446 INTROSPECTION_LIBS = @INTROSPECTION_LIBS@
447 INTROSPECTION_MAKEFILE = @INTROSPECTION_MAKEFILE@
448 INTROSPECTION_SCANNER = @INTROSPECTION_SCANNER@
449 INTROSPECTION_TYPELIBDIR = @INTROSPECTION_TYPELIBDIR@
450 LCOV = @LCOV@
451 LD = @LD@
452 LDFLAGS = @LDFLAGS@
453 LIBOBJS = @LIBOBJS@
454 LIBS = @LIBS@
455 LIBTOOL = @LIBTOOL@
456 LIPO = @LIPO@
457 LN_S = @LN_S@
458 LTLIBOBJS = @LTLIBOBJS@
459 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
460 MAKEINFO = @MAKEINFO@
461 MANIFEST_TOOL = @MANIFEST_TOOL@
462 MKDIR_P = @MKDIR_P@
463 NM = @NM@
464 NMEDIT = @NMEDIT@
465 OBJDUMP = @OBJDUMP@
466 OBJEXT = @OBJEXT@
467 OTOOL = @OTOOL@
468 OTOOL64 = @OTOOL64@
469 PACKAGE = @PACKAGE@
470 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
471 PACKAGE_NAME = @PACKAGE_NAME@
472 PACKAGE_STRING = @PACKAGE_STRING@
473 PACKAGE_TARNAME = @PACKAGE_TARNAME@
474 PACKAGE_URL = @PACKAGE_URL@
475 PACKAGE_VERSION = @PACKAGE_VERSION@
476 PATH_SEPARATOR = @PATH_SEPARATOR@
477 PKG_CONFIG = @PKG_CONFIG@
478 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
479 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
480 PTHREAD_CC = @PTHREAD_CC@
481 PTHREAD_CFLAGS = @PTHREAD_CFLAGS@
482 PTHREAD_LIBS = @PTHREAD_LIBS@
483 RAGEL = @RAGEL@
484 RANLIB = @RANLIB@
485 SED = @SED@
486 SET_MAKE = @SET_MAKE@
487 SHELL = @SHELL@
488 STRIP = @STRIP@
489 UNISCRIBE_CFLAGS = @UNISCRIBE_CFLAGS@
490 UNISCRIBE_LIBS = @UNISCRIBE_LIBS@
491 VERSION = @VERSION@
492 abs_builddir = @abs_builddir@
493 abs_srcdir = @abs_srcdir@
494 abs_top_builddir = @abs_top_builddir@
495 abs_top_srcdir = @abs_top_srcdir@
496 ac_ct_AR = @ac_ct_AR@
497 ac_ct_CC = @ac_ct_CC@
498 ac_ct_CXX = @ac_ct_CXX@
499 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
500 am__include = @am__include@
501 am__leading_dot = @am__leading_dot@
502 am__quote = @am__quote@
503 am__tar = @am__tar@
504 am__untar = @am__untar@
505 ax_pthread_config = @ax_pthread_config@
506 bindir = @bindir@
507 build = @build@
508 build_alias = @build_alias@
509 build_cpu = @build_cpu@
510 build_os = @build_os@
511 build_vendor = @build_vendor@
512 builddir = @builddir@
513 datadir = @datadir@
514 datarootdir = @datarootdir@
515 docdir = @docdir@
516 dvidir = @dvidir@
517 exec_prefix = @exec_prefix@
518 have_gobject = @have_gobject@
519 host = @host@
520 host_alias = @host_alias@
521 host_cpu = @host_cpu@
522 host_os = @host_os@
523 host_vendor = @host_vendor@
524 htmldir = @htmldir@
525 includedir = @includedir@
526 infodir = @infodir@
527 install_sh = @install_sh@
528 libdir = @libdir@
529 libexecdir = @libexecdir@
530 localedir = @localedir@
531 localstatedir = @localstatedir@
532 mandir = @mandir@
533 mkdir_p = @mkdir_p@
534 oldincludedir = @oldincludedir@
535 pdfdir = @pdfdir@
536 prefix = @prefix@
537 program_transform_name = @program_transform_name@
538 psdir = @psdir@
539 sbindir = @sbindir@
540 sharedstatedir = @sharedstatedir@
541 srcdir = @srcdir@
542 sysconfdir = @sysconfdir@
543 target_alias = @target_alias@
544 top_build_prefix = @top_build_prefix@
545 top_builddir = @top_builddir@
546 top_srcdir = @top_srcdir@
547 NULL = 
548 EXTRA_DIST = \
549         README \
550         COPYING \
551         update.sh \
552         extract-tests.py \
553         fonts \
554         $(TESTS) \
555         $(NULL)
556
557 TEST_EXTENSIONS = .tests
558 TESTS_LOG_COMPILER = $(srcdir)/../../run-tests.py $(top_builddir)/util/hb-shape$(EXEEXT)
559 DISBALED_TESTS = \
560         tests/CMAP-3.tests \
561         tests/MORX-31.tests \
562         tests/MORX-41.tests \
563         tests/SHARAN-1.tests \
564         tests/SHBALI-1.tests \
565         tests/SHBALI-2.tests \
566         tests/SHKNDA-2.tests \
567         tests/SHKNDA-3.tests \
568         $(NULL)
569
570 all: all-am
571
572 .SUFFIXES:
573 .SUFFIXES: .log .tests .tests$(EXEEXT) .trs
574 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(srcdir)/Makefile.sources $(am__configure_deps)
575         @for dep in $?; do \
576           case '$(am__configure_deps)' in \
577             *$$dep*) \
578               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
579                 && { if test -f $@; then exit 0; else break; fi; }; \
580               exit 1;; \
581           esac; \
582         done; \
583         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnits test/shaping/data/text-rendering-tests/Makefile'; \
584         $(am__cd) $(top_srcdir) && \
585           $(AUTOMAKE) --gnits test/shaping/data/text-rendering-tests/Makefile
586 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
587         @case '$?' in \
588           *config.status*) \
589             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
590           *) \
591             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
592             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
593         esac;
594 $(srcdir)/Makefile.sources $(am__empty):
595
596 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
597         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
598
599 $(top_srcdir)/configure:  $(am__configure_deps)
600         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
601 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
602         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
603 $(am__aclocal_m4_deps):
604
605 mostlyclean-libtool:
606         -rm -f *.lo
607
608 clean-libtool:
609         -rm -rf .libs _libs
610 tags TAGS:
611
612 ctags CTAGS:
613
614 cscope cscopelist:
615
616
617 # Recover from deleted '.trs' file; this should ensure that
618 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
619 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
620 # to avoid problems with "make -n".
621 .log.trs:
622         rm -f $< $@
623         $(MAKE) $(AM_MAKEFLAGS) $<
624
625 # Leading 'am--fnord' is there to ensure the list of targets does not
626 # expand to empty, as could happen e.g. with make check TESTS=''.
627 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
628 am--force-recheck:
629         @:
630
631 $(TEST_SUITE_LOG): $(TEST_LOGS)
632         @$(am__set_TESTS_bases); \
633         am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
634         redo_bases=`for i in $$bases; do \
635                       am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
636                     done`; \
637         if test -n "$$redo_bases"; then \
638           redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
639           redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
640           if $(am__make_dryrun); then :; else \
641             rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
642           fi; \
643         fi; \
644         if test -n "$$am__remaking_logs"; then \
645           echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
646                "recursion detected" >&2; \
647         elif test -n "$$redo_logs"; then \
648           am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
649         fi; \
650         if $(am__make_dryrun); then :; else \
651           st=0;  \
652           errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
653           for i in $$redo_bases; do \
654             test -f $$i.trs && test -r $$i.trs \
655               || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
656             test -f $$i.log && test -r $$i.log \
657               || { echo "$$errmsg $$i.log" >&2; st=1; }; \
658           done; \
659           test $$st -eq 0 || exit 1; \
660         fi
661         @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
662         ws='[   ]'; \
663         results=`for b in $$bases; do echo $$b.trs; done`; \
664         test -n "$$results" || results=/dev/null; \
665         all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
666         pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
667         fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
668         skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
669         xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
670         xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
671         error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
672         if test `expr $$fail + $$xpass + $$error` -eq 0; then \
673           success=true; \
674         else \
675           success=false; \
676         fi; \
677         br='==================='; br=$$br$$br$$br$$br; \
678         result_count () \
679         { \
680             if test x"$$1" = x"--maybe-color"; then \
681               maybe_colorize=yes; \
682             elif test x"$$1" = x"--no-color"; then \
683               maybe_colorize=no; \
684             else \
685               echo "$@: invalid 'result_count' usage" >&2; exit 4; \
686             fi; \
687             shift; \
688             desc=$$1 count=$$2; \
689             if test $$maybe_colorize = yes && test $$count -gt 0; then \
690               color_start=$$3 color_end=$$std; \
691             else \
692               color_start= color_end=; \
693             fi; \
694             echo "$${color_start}# $$desc $$count$${color_end}"; \
695         }; \
696         create_testsuite_report () \
697         { \
698           result_count $$1 "TOTAL:" $$all   "$$brg"; \
699           result_count $$1 "PASS: " $$pass  "$$grn"; \
700           result_count $$1 "SKIP: " $$skip  "$$blu"; \
701           result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
702           result_count $$1 "FAIL: " $$fail  "$$red"; \
703           result_count $$1 "XPASS:" $$xpass "$$red"; \
704           result_count $$1 "ERROR:" $$error "$$mgn"; \
705         }; \
706         {                                                               \
707           echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
708             $(am__rst_title);                                           \
709           create_testsuite_report --no-color;                           \
710           echo;                                                         \
711           echo ".. contents:: :depth: 2";                               \
712           echo;                                                         \
713           for b in $$bases; do echo $$b; done                           \
714             | $(am__create_global_log);                                 \
715         } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
716         mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
717         if $$success; then                                              \
718           col="$$grn";                                                  \
719          else                                                           \
720           col="$$red";                                                  \
721           test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
722         fi;                                                             \
723         echo "$${col}$$br$${std}";                                      \
724         echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
725         echo "$${col}$$br$${std}";                                      \
726         create_testsuite_report --maybe-color;                          \
727         echo "$$col$$br$$std";                                          \
728         if $$success; then :; else                                      \
729           echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
730           if test -n "$(PACKAGE_BUGREPORT)"; then                       \
731             echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
732           fi;                                                           \
733           echo "$$col$$br$$std";                                        \
734         fi;                                                             \
735         $$success || exit 1
736
737 check-TESTS: 
738         @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
739         @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
740         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
741         @set +e; $(am__set_TESTS_bases); \
742         log_list=`for i in $$bases; do echo $$i.log; done`; \
743         trs_list=`for i in $$bases; do echo $$i.trs; done`; \
744         log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
745         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
746         exit $$?;
747 recheck: all 
748         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
749         @set +e; $(am__set_TESTS_bases); \
750         bases=`for i in $$bases; do echo $$i; done \
751                  | $(am__list_recheck_tests)` || exit 1; \
752         log_list=`for i in $$bases; do echo $$i.log; done`; \
753         log_list=`echo $$log_list`; \
754         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
755                 am__force_recheck=am--force-recheck \
756                 TEST_LOGS="$$log_list"; \
757         exit $$?
758 .tests.log:
759         @p='$<'; \
760         $(am__set_b); \
761         $(am__check_pre) $(TESTS_LOG_DRIVER) --test-name "$$f" \
762         --log-file $$b.log --trs-file $$b.trs \
763         $(am__common_driver_flags) $(AM_TESTS_LOG_DRIVER_FLAGS) $(TESTS_LOG_DRIVER_FLAGS) -- $(TESTS_LOG_COMPILE) \
764         "$$tst" $(AM_TESTS_FD_REDIRECT)
765 @am__EXEEXT_TRUE@.tests$(EXEEXT).log:
766 @am__EXEEXT_TRUE@       @p='$<'; \
767 @am__EXEEXT_TRUE@       $(am__set_b); \
768 @am__EXEEXT_TRUE@       $(am__check_pre) $(TESTS_LOG_DRIVER) --test-name "$$f" \
769 @am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
770 @am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TESTS_LOG_DRIVER_FLAGS) $(TESTS_LOG_DRIVER_FLAGS) -- $(TESTS_LOG_COMPILE) \
771 @am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
772
773 distdir: $(BUILT_SOURCES)
774         $(MAKE) $(AM_MAKEFLAGS) distdir-am
775
776 distdir-am: $(DISTFILES)
777         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
778         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
779         list='$(DISTFILES)'; \
780           dist_files=`for file in $$list; do echo $$file; done | \
781           sed -e "s|^$$srcdirstrip/||;t" \
782               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
783         case $$dist_files in \
784           */*) $(MKDIR_P) `echo "$$dist_files" | \
785                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
786                            sort -u` ;; \
787         esac; \
788         for file in $$dist_files; do \
789           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
790           if test -d $$d/$$file; then \
791             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
792             if test -d "$(distdir)/$$file"; then \
793               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
794             fi; \
795             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
796               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
797               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
798             fi; \
799             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
800           else \
801             test -f "$(distdir)/$$file" \
802             || cp -p $$d/$$file "$(distdir)/$$file" \
803             || exit 1; \
804           fi; \
805         done
806 check-am: all-am
807         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
808 check: check-am
809 all-am: Makefile
810 installdirs:
811 install: install-am
812 install-exec: install-exec-am
813 install-data: install-data-am
814 uninstall: uninstall-am
815
816 install-am: all-am
817         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
818
819 installcheck: installcheck-am
820 install-strip:
821         if test -z '$(STRIP)'; then \
822           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
823             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
824               install; \
825         else \
826           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
827             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
828             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
829         fi
830 mostlyclean-generic:
831         -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
832         -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
833         -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
834
835 clean-generic:
836
837 distclean-generic:
838         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
839         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
840
841 maintainer-clean-generic:
842         @echo "This command is intended for maintainers to use"
843         @echo "it deletes files that may require special tools to rebuild."
844 clean: clean-am
845
846 clean-am: clean-generic clean-libtool mostlyclean-am
847
848 distclean: distclean-am
849         -rm -f Makefile
850 distclean-am: clean-am distclean-generic
851
852 dvi: dvi-am
853
854 dvi-am:
855
856 html: html-am
857
858 html-am:
859
860 info: info-am
861
862 info-am:
863
864 install-data-am:
865
866 install-dvi: install-dvi-am
867
868 install-dvi-am:
869
870 install-exec-am:
871
872 install-html: install-html-am
873
874 install-html-am:
875
876 install-info: install-info-am
877
878 install-info-am:
879
880 install-man:
881
882 install-pdf: install-pdf-am
883
884 install-pdf-am:
885
886 install-ps: install-ps-am
887
888 install-ps-am:
889
890 installcheck-am:
891
892 maintainer-clean: maintainer-clean-am
893         -rm -f Makefile
894 maintainer-clean-am: distclean-am maintainer-clean-generic
895
896 mostlyclean: mostlyclean-am
897
898 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
899
900 pdf: pdf-am
901
902 pdf-am:
903
904 ps: ps-am
905
906 ps-am:
907
908 uninstall-am:
909
910 .MAKE: check-am install-am install-strip
911
912 .PHONY: all all-am check check-TESTS check-am clean clean-generic \
913         clean-libtool cscopelist-am ctags-am distclean \
914         distclean-generic distclean-libtool distdir dvi dvi-am html \
915         html-am info info-am install install-am install-data \
916         install-data-am install-dvi install-dvi-am install-exec \
917         install-exec-am install-html install-html-am install-info \
918         install-info-am install-man install-pdf install-pdf-am \
919         install-ps install-ps-am install-strip installcheck \
920         installcheck-am installdirs maintainer-clean \
921         maintainer-clean-generic mostlyclean mostlyclean-generic \
922         mostlyclean-libtool pdf pdf-am ps ps-am recheck tags-am \
923         uninstall uninstall-am
924
925 .PRECIOUS: Makefile
926
927
928 # Convenience targets:
929 lib:
930         @$(MAKE) $(AM_MAKEFLAGS) -C $(top_builddir)/src lib
931
932 update:
933         (cd $(srcdir) && ./update.sh)
934
935 -include $(top_srcdir)/git.mk
936
937 # Tell versions [3.59,3.63) of GNU make to not export all variables.
938 # Otherwise a system limit (for SysV at least) may be exceeded.
939 .NOEXPORT: